## mscgen 0.17

=== debian/changelog ===
mscgen (0.17-2) unstable; urgency=low

  * Pulled bug-fix patches from upstream.
    - Corrected the handling of the "-F" option; removes a false
      positive warning.
    - Fixed buffer overflow with long output names.
    - Fixed an issue, where mscgen would pass unsigned integers
      to libgd that would overflow and cause mscgen to hang.
    - Fixed an issue with how multi-line labels are rendered.
  * Bumped Standards-Versions to 3.8.4 - no changes required.
  * Changed source format to 3.0 (quilt).
  * Added homemade ".pc" file for gd2, since its dev package does
    not ship one.

 -- Niels Thykier <niels@thykier.net>  Sun, 07 Feb 2010 22:04:08 +0100

mscgen (0.17-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs fields.
  * Removed dpatch and libgd2-noxpm-dev as build depends.
    - The patches have been merged upstream or are no longer required.
    - libgd2-noxpm-dev is not built with the font support required for
    mscgen.
  * Removed README.source.
    - There are no longer any debian patches.
    - Upstream no longer ships a precompiled version of libgd in the
    src tar.gz.
    - All tests files now have a license.
  * Bumped to Standards-Version 3.8.3 - no changes required.
  * Rewrote debian/rules to let dh do all the work, where possible.
  * Updated debian/copyright.
    - The source code is now completely GPL-2+. Previously parts of it
    was licensed under LGPL-2.1.
    - The tests files have received a "No warranty" clause.

 -- Niels Thykier <niels@thykier.net>  Mon, 31 Aug 2009 23:19:09 +0200

mscgen (0.16+dfsg-1) unstable; urgency=low

  * Corrected priority to "optional" and applied other beautification
    changes to the control file. 
  * Changed the comment type of examples.
  * Removed unused dpatch (was outdated).
  * Created a debian/README.source to document modifications done
    to upstream source.  

 -- Niels Thykier <niels@thykier.net>  Mon, 13 Jul 2009 22:00:04 +0200

mscgen (0.16-1) unstable; urgency=low

  * New upstream release.
  * Modified the watch files to handle svn-snapshot builds more gracefully.
  * Added some examples based on the test files (via a patch). 

 -- Niels Thykier <niels@thykier.net>  Mon, 13 Jul 2009 12:26:08 +0200

mscgen (0.16~svn35-2) unstable; urgency=low

  * Implemented changes suggested by Y Giridhar Appaji Nag.
    - Removed (most) versions and libc from Build-Depends.
    - Rephrased parts of the package description.
    - Updated patch description to properly reflect what it does.
    - Removed some dh script calls and an the arguments to dh_installdocs.
    - Changed priority to optional (used to be extra).
  * Removed one useless if-statement in debian/rules.
  * Added a "get-orig-source" rule to debian/rules. 

 -- Niels Thykier <niels@thykier.net>  Fri, 10 Jul 2009 20:33:39 +0200

mscgen (0.16~svn35-1) unstable; urgency=low

  * Pre-upstream release.
    - Prevents echoing of "unexpected" characters in mscgen files to stdout.
    - Addresses some licenses issues.
  * Added missing license about test scripts in debian/copyright.
  * Corrected the LGPL reference - it was incorrectly referring to version
    2, when it should have been 2.1.
  * Changed description to mention the mediawiki extension that can use mscgen. 

 -- Niels Thykier <niels@thykier.net>  Sun, 05 Jul 2009 22:09:56 +0200

mscgen (0.16~svn32-1) unstable; urgency=low

  * Pre-upstream release.
    - Fixes a regression on a sample input file using boxes. 
  * Removed unless arguments for dh_installdirs - it created them by default. 

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jul 2009 11:04:33 +0200

mscgen (0.16~svn31-2) unstable; urgency=low

  * Fixed inverted check for the debian build options that caused 
    optimizations to be disabled by default.

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jul 2009 22:26:29 +0200

mscgen (0.16~svn31-1) unstable; urgency=low

  * Pre-upstream release: 0.16~svn31
    - Fixes a segmentation fault occurring when using undeclared
      (or misspelled) entities in a graph.
  * Updated to Standards-Version 3.8.2.0 - No changes required. 
  * Upstream's README is no longer installed as a part of this package's 
    documentation - It contains information that is irrelevant for 
    debian users.   
  * Added patch to correct the outputted version number. 

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jul 2009 14:07:21 +0200

mscgen (0.15-4) unstable; urgency=low

  * Removed "bash" again from the build depends (forgot it was marked as Essential).

 -- Niels Thykier <niels@thykier.net>  Sat, 30 May 2009 17:52:34 +0200

mscgen (0.15-3) unstable; urgency=low

  * Corrected Homepage field.
  * Added "bash" as build depends (used by test scripts).

 -- Niels Thykier <niels@thykier.net>  Sat, 30 May 2009 17:38:46 +0200

mscgen (0.15-2) unstable; urgency=low

  * Removed comments from debian/control.
  * Repackaged source due to convenience sources being included.
  * Listed upstream's svn repository in the copyright file. 

 -- Niels Thykier <niels@thykier.net>  Thu, 28 May 2009 19:37:57 +0200

mscgen (0.15-1) unstable; urgency=low

  * Initial release. (Closes: #528784)
  * Added dpatch (01_debian-patch.dpatch) to remove optimization flags 
    from upstream makefile to comply with debian build options 
    (DEB_BUILD_OPTIONS=noopt). The optimization flags are instead 
    inserted by the rules file.
	
 -- Niels Thykier <niels@thykier.net>  Thu, 21 May 2009 15:51:38 +0200
