=== debian/control ===
Source: mscgen
Section: devel
Priority: optional
Maintainer: Niels Thykier <niels@thykier.net>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper (>= 7.0.50~),
               flex,
               libgd2-xpm-dev,
               locales
Standards-Version: 3.8.4
Homepage: http://www.mcternan.me.uk/mscgen/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/mscgen/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/mscgen/trunk/?op=log


Package: mscgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: doxygen
Description: Message Sequence Chart (MSC) generator
 mscgen is a small program that parses Message Sequence Chart 
 descriptions and produces PNG, SVG, EPS or server side image 
 maps (ismaps) as the output. Message Sequence Charts (MSCs) 
 are a way of representing entities and interactions over some 
 time period and are often used in combination with SDL. MSCs 
 are popular in Telecoms to specify how protocols operate. 
 .
 mscgen can be used to create in-line MSC-charts in documentations 
 parsed by doxygen. Extensions also exists for Python's Sphinx and 
 mediawiki that can use mscgen.
