## mscgen 0.20

=== debian/changelog ===
mscgen (0.20-5) unstable; urgency=medium

  * Mark mscgen as a "Multi-Arch: foreign" package.
  * Bump debhelper compat to 10.
  * Remove import of dpkg makefile as dh now exports the
    variables automatically.
  * Build with all hardening flags enabled.
  * Remove the "XS-" prefix from the Testsuite field.
  * Bump debhelper Build-Dependency to ensure dbgsyms are
    generated.
  * Update the URLs in the Vcs-* fields.
  * Bump Standards-Version - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Dec 2015 22:16:20 +0000

mscgen (0.20-4) unstable; urgency=medium

  * Set %parse-param in language.y to ensure bison generates
    the correct prototype for yyparse. (Closes: #733370)
  * Bump Standards-Version to 3.9.5 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2013 13:48:54 +0100

mscgen (0.20-3) unstable; urgency=low

  * Apply patch from Ian Jackson to add DEP-8/autopkgtests
    to mscgen.  (Closes: #720687)
  * Use canonical URLs in the Vcs-* fields.
  * Bump Standards-Version to 3.9.4 - no changes required.
  * Build-Depend on libgd-dev instead of libgd2-xpm-dev,
    since the latter is now a transitional package.

 -- Niels Thykier <niels@thykier.net>  Wed, 25 Sep 2013 23:45:47 +0200

mscgen (0.20-2) unstable; urgency=low

  * Use buildflags.mk from dpkg to set compiler and linker
    flags.
    - This enables hardning flags.
  * Bumped Standards-Versions to 3.9.2 - no changes required.
  * Bumped debhelper compat to 8.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Nov 2011 14:52:33 +0100

mscgen (0.20-1) unstable; urgency=low

  * New upstream release.
  * Removed all remaining patches as they were already applied
    upstream.

 -- Niels Thykier <niels@thykier.net>  Thu, 10 Mar 2011 16:52:20 +0100

mscgen (0.19-3) unstable; urgency=low

  * Upload to unstable.
  * Backported patch to fix crash when source entity is not known.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Feb 2011 23:31:04 +0100

mscgen (0.19-2) experimental; urgency=low

  * Added patch from upstream to fix spelling mistakes.
  * Build in separate directory and removed the homemade pkg-config
    file for gdlib.
  * Moved packaging to git on git.debian.org.
  * Made sure that the parser and the lexer are rebuilt from their
    specification and not just their pre-generated C-files.

 -- Niels Thykier <niels@thykier.net>  Tue, 04 Jan 2011 13:03:36 +0100

mscgen (0.19-1) experimental; urgency=low

  * New upstream release.
  * Pass --with-freetype to configure.

 -- Niels Thykier <niels@thykier.net>  Mon, 03 Jan 2011 21:14:29 +0100

mscgen (0.18-1) experimental; urgency=low

  * New upstream release to experimental due to the freeze.
    - Removed all patches (they were all backports).
  * Added --as-needed and --no-undefined to linker flags to avoid
    overlinking.
  * Bumped Standards-Versions to 3.9.1 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Thu, 11 Nov 2010 23:24:02 +0100
