=== debian/control ===
--- 
+++ 
@@ -5,20 +5,24 @@
 Build-Depends: autoconf,
                automake,
                bison,
-               debhelper (>= 7.0.50~),
+# This version is new enough for compat 10 and dbgsyms
+               debhelper (>= 9.20151219~),
+# for buildflags.mk
+               dpkg-dev (>= 1.16.1~),
                flex,
-               libgd2-xpm-dev,
+               libgd-dev,
                locales
-Standards-Version: 3.8.4
+Standards-Version: 3.9.6
 Homepage: http://www.mcternan.me.uk/mscgen/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/mscgen/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/mscgen/trunk/?op=log
-
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mscgen.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mscgen.git/
+Testsuite: autopkgtest
 
 Package: mscgen
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: doxygen
+Multi-Arch: foreign
 Description: Message Sequence Chart (MSC) generator
  mscgen is a small program that parses Message Sequence Chart 
  descriptions and produces PNG, SVG, EPS or server side image
