=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-add-needed,--as-needed,--no-undefined
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ -Bbuild

override_dh_auto_configure:
	sh debian/move-files.sh prebuild
	dh_auto_configure -Bbuild -- --with-freetype --with-png

# dh_auto_install blindly dumps every thing in debian/mscgen/
# However this means that the package ends up with two upstream
# changelogs and COPYING, which is one too much of each.
override_dh_auto_install:
	dh_auto_install -Bbuild
	cd debian/mscgen/usr/share/doc/mscgen/ && \
	  rm -f COPYING && \
	  mv -f ChangeLog changelog

override_dh_auto_clean:
	sh debian/move-files.sh clean
	dh_auto_clean -Bbuild
