=== debian/watch ===
version=3

opts=dversionmangle=s/(\+svn\d+)?\+dfsg$// http://www.mcternan.me.uk/mscgen/software/ mscgen-src-(.*)\.tar\.gz debian uupdate
